#ifndef __GLOBALS_H__
#define __GLOBALS_H__

#define MAX_CFGLINE_LEN		128
#define MAX_CFGSERVER_LEN	20
#define MAX_CFGSERVERS		10
#define MAX_CFGCONTACT_LEN	20
#define MAX_CFGCONTACTS		20
#define MAX_CFGFILEPATH		128
#define MAX_CFGMSG_LEN		256
#define MAX_CFGPROXY_LEN	256
#define MAX_OUTPUT_LEN		256

#define FLAG_SHOWPREFS		1
#define FLAG_SHOWSERVERS	2
#define FLAG_SHOWADDRBOOK	4
#define FLAG_SHOWABOUT		8

#define STATUS_READY		0
#define STATUS_SENDING		1
#define STATUS_FAILED		2

enum {
	COLUMN_SERVERNAME,
	COLUMN_SERVERLOGIN,
	COLUMN_SERVERPASSWD,
	SERVER_NUM_COLUMNS
};

enum {
	COLUMN_CONTACTNAME,
	COLUMN_CONTACTPREFIX,
	COLUMN_CONTACTPHONE,
	COLUMN_CONTACTSERVER,
	CONTACT_NUM_COLUMNS
};

#define DEBUG(x)	x

#endif /* __GLOBALS_H__ */

