#ifndef __HELPERS_H__
#define __HELPERS_H__

#include <gnome.h>
#include "globals.h"

typedef struct glsprefs {
	char file_conf[MAX_CFGFILEPATH];
	char file_addrbook[MAX_CFGFILEPATH];
	char file_bin[MAX_CFGFILEPATH];
	char file_passwd[MAX_CFGFILEPATH];
	int flags;
	int status;
	char def_mynumber[MAX_CFGCONTACT_LEN];
	char def_myalias[MAX_CFGCONTACT_LEN];
	char def_server[MAX_CFGSERVER_LEN];
	char def_proxy[MAX_CFGPROXY_LEN];
	char def_signature[MAX_CFGFILEPATH];
} GLSPrefs;

extern GLSPrefs	AppCfg;

/* **************************************************************************
 * HELPER FUNCTIONS
 ************************************************************************** */

void nt_message_box(GtkButton *button, gpointer user_data);

gchar *nt_textview_get_text(GtkWidget *text_view);

int nt_run_command(gchar *strMsg, gchar *strContact, gchar *strServer);

gchar *nt_prepare_msg(gchar *str);

int nt_fill_cbContact(GtkWidget *cmbbox);

int nt_fill_cbServer(GtkWidget *cmbbox);

int nt_fill_defaults();

#endif /* __HELPERS_H__ */
